Skip to main content
GET
/
presentations
Get presentations
curl --request GET \
  --url https://test.didxtech.com/me-creds/api/presentations \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "cmbhsgi6c00cls60120oyb8tl",
      "createdAt": "2025-06-04T10:12:20.101Z",
      "updatedAt": "2025-06-04T10:12:20.101Z",
      "status": "requested",
      "error": null,
      "presentationTemplateId": "cma2nw2vd00sos601irn14wt1",
      "credentials": [
        {
          "isValid": true,
          "name": "Identity",
          "type": "https://metadata.paradym.id/types/pHXnPey2Uu-identity",
          "attributes": {
            "name": "Johny",
            "surname": "Postman"
          },
          "issues": []
        }
      ],
      "expiresAt": "2025-07-04T10:12:20.088Z",
      "authorizationRequestUri": "https://paradym.id/invitation?request_uri=https%3A%2F%2Fparadym.id%2Finvitation%2F421b518d-ad91-4802-ab25-3a83c9f7f44e%2Fauthorization-requests%2F92c2b88e-9a3d-4ca4-a33f-8687588d0f6b%3Fraw%3Dtrue&client_id=did%3Aweb%3Ametadata.paradym.id%3A3c9d79ef-6aca-4f3e-b2ab-1f2933b7fe90",
      "authorizationRequestQrUri": "https://paradym.id/invitation?request_uri=https%3A%2F%2Fparadym.id%2Finvitation%2F421b518d-ad91-4802-ab25-3a83c9f7f44e%2Fauthorization-requests%2F92c2b88e-9a3d-4ca4-a33f-8687588d0f6b%3Fraw%3Dtrue&qr=true"
    }
  ],
  "links": {
    "self": "<string>",
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>",
    "related": "<string>"
  },
  "meta": {},
  "errors": [
    {
      "detail": "<string>",
      "id": "<string>",
      "status": "<string>",
      "code": "<string>",
      "title": "<string>",
      "source": {
        "pointer": "<string>",
        "parameter": "<string>"
      },
      "meta": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

filter[id]
string

Filter presentation requests by their unique identifier

Example:

"cmbhsgi6c00cls60120oyb8tl"

filter[status]
string

Filter presentation requests by their current status (e.g., "requested", "verified", "expired")

Example:

"verified"

filter[presentationTemplateId]
string

Filter presentation requests by their template identifier

Example:

"cma2nw2vd00sos601irn14wt1"

sort
enum<string>

Sort order for the results. Prefix with "-" for descending order

Available options:
id,
-id,
createdAt,
-createdAt,
updatedAt,
-updatedAt
Example:

"-createdAt"

page[size]
number

Number of items to return per page (1-100)

Required range: 1 <= x <= 100
Example:

10

page[before]
string

Cursor for pagination - return items before this ID value

Example:

"cmbhsgi6c00cls60120oyb8tl"

page[after]
string

Cursor for pagination - return items after this ID value

Example:

"cmbhsgi6c00cls60120oyb8tl"

Response

List of presentations

data
object[]
required
meta
object
errors
object[]